Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1362495 - [OVS] - Add proper support for live migration (without fancy libvirt hooks)
Summary: [OVS] - Add proper support for live migration (without fancy libvirt hooks)
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: vdsm
Classification: oVirt
Component: Core
Version: ---
Hardware: x86_64
OS: Linux
medium
medium vote
Target Milestone: ovirt-4.3.0
: ---
Assignee: Petr Horáček
QA Contact: Meni Yakove
URL:
Whiteboard:
Depends On:
Blocks: OpenVswitch_Support 1366899
TreeView+ depends on / blocked
 
Reported: 2016-08-02 11:19 UTC by Michael Burman
Modified: 2018-10-13 12:13 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-01 08:04:43 UTC
oVirt Team: Network
rule-engine: ovirt-4.3+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 85935 master ABANDONED net: drop vm live migration hook 2018-06-17 01:58:40 UTC

Description Michael Burman 2016-08-02 11:19:54 UTC
Description of problem:
[OVS] - Add support for live migration. 

Currently the feature 'Support for native Open vSwitch networks configuration' is incomplete and it lacks live migration which is highly needed in case of upgrading a cluster to an ovs type. 

 
Version-Release number of selected component (if applicable):
4.0.2.3-0.1.el7ev
openvswitch-2.4.1-1.git20160727.el7_2.x86_64

Comment 1 Red Hat Bugzilla Rules Engine 2016-08-04 12:41:09 UTC
Bug tickets must have version flags set prior to targeting them to a release. Please ask maintainer to set the correct version flags and only then set the target milestone.

Comment 2 Mor 2016-11-15 06:57:56 UTC
Hi,
This issue also affects OVN migration (which is based on OVS).
Tested on:
oVirt Engine Version: 4.1.0-0.0.master.20161112231308.git672bd31.el7.centos
Vdsm: oVirt Engine Version: 4.1.0-0.0.master.20161112231308.git672bd31.el7.centos

Comment 3 Dan Kenigsberg 2016-12-07 10:33:08 UTC
4.1 would only have https://gerrit.ovirt.org/#/c/67455/ to allow OvS migration

Comment 4 Yaniv Lavi 2018-08-01 08:04:43 UTC
We have moved to use OVN that resolves this in a different way.


Note You need to log in before you can comment on or make changes to this bug.